﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Drawing;
using System.IO;
using VersOne.Epub;
using VersOne.Epub.Schema;

namespace _128024_Read_Epub_File
{
    public partial class Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {

        }

        protected void OnRead(object sender, EventArgs e)
        {
            // Opens a book and reads all of its content into memory.
            EpubBook epubBook = EpubReader.ReadBook(Server.MapPath("~/Files/Test.epub"));

            // Book's title.
            string title = epubBook.Title;
            lblTitle.Text = title;

            // Book's authors.
            string author = epubBook.Author;
            lblAuthor.Text = title;

            // Book's cover image.
            byte[] coverImageContent = epubBook.CoverImage;
            if (coverImageContent != null)
            {
                using (MemoryStream coverImageStream = new MemoryStream(coverImageContent))
                {
                    System.Drawing.Image coverImage = System.Drawing.Image.FromStream(coverImageStream);
                    byte[] bytes = (byte[])(new ImageConverter()).ConvertTo(coverImage, typeof(byte[]));
                    imgCover.ImageUrl = string.Format("data:image/jpg;base64,{0}", Convert.ToBase64String(bytes));
                }
            }
        }
    }
}